/*
 * vdr-menuorg - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2007 - 2008 Tobias Grimm <vdr@e-tobi.net>
 * Copyright (c) 2007        Thomas Creutz <thomas.creutz@gmx.de>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * $Id: PluginConfiguration.cpp 6969 2008-03-23 01:15:27Z svntobi $
 *
 */

#include "PluginConfiguration.h"
#include <stdlib.h>
#include <strings.h>

const char* PluginConfiguration::SetupName::CustomMenuActive = "customMenuActive";
const char* PluginConfiguration::SetupName::UnconfiguredPluginsIncluded = "unconfiguredPluginsIncluded";

PluginConfiguration::PluginConfiguration()
{
    SetDefaults();
}

bool PluginConfiguration::CustomMenuActive()
{
    return _customMenuActive;
}

bool PluginConfiguration::UnconfiguredPluginsIncluded()
{
    return _unconfiguredPluginsIncluded;
}

void PluginConfiguration::SetDefaults()
{
    _customMenuActive = true;
    _unconfiguredPluginsIncluded = true;
}

bool PluginConfiguration::SetConfigurationOptionByName(const char* Name, const char* Value)
{
   if (!strcasecmp(Name, SetupName::CustomMenuActive))
    {
        _customMenuActive = (atoi(Value) != 0);
    }
    else if(!strcasecmp(Name, SetupName::UnconfiguredPluginsIncluded))
    {
        _unconfiguredPluginsIncluded = (atoi(Value) != 0);
    }
    else
        return false;

    return true;
}
