/*
 * vdr-menuorg - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2007 - 2008 Tobias Grimm <vdr@e-tobi.net>
 * Copyright (c) 2007        Thomas Creutz <thomas.creutz@gmx.de>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * $Id: SubMenuNode.h 6965 2008-03-22 19:52:34Z svntobi $
 *
 */

#ifndef ___SUBMENUNODE_H
#define ___SUBMENUNODE_H

#include "MenuNode.h"
#include <string>

class IMenuNodeProcessor;

class SubMenuNode: public MenuNode
{
    private:
        std::string _text;
        MenuNodeList _childs;

    public:
        SubMenuNode(std::string text);
        virtual ~SubMenuNode();
        std::string Text();
        void Text(std::string newText);

        // MenuNode
        SubMenuNode* Clone();
        virtual void Process(IMenuNodeProcessor* menuNodeProcessor);
        bool IsHidden();
        MenuNode* AddChild(MenuNode* child);
        MenuNodeList* Childs();
};

#endif
